#pragma once

#include "features/player/PlayerTypes.h"

namespace ta::features::player
{
    class IPlayerSettings
    {
    public:
        virtual ~IPlayerSettings() = default;
        [[nodiscard]] virtual PlayerSettings read() const = 0;
        virtual void set_speed_hack(bool enabled) = 0;
        virtual void set_fly_mode(bool enabled) = 0;
    };
}
